Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"453f0483-d174-4a86-936a-b5bf7a65c8bc","userId":"6a9801b2-0d38-4616-86bd-abe1e7518067","userUrl":null,"dateSwiped":"2026-11-11T20:44:15.6758906+00:00","dateViewed":"2026-11-11T20:44:15.6758906+00:00"},{"id":"391e8e1a-bd41-427c-a7bf-c71b94bb4bef","userId":"d8ac0549-0451-4b7b-9554-5058cd840556","userUrl":null,"dateSwiped":null,"dateViewed":"2026-11-12T20:44:15.6758906+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string